Last Comment Bug 773830 - ###!!! ABORT: attempt to initialize OOP crash reporter before in-process crashreporter!: 'gExceptionHandler != NULL'
: ###!!! ABORT: attempt to initialize OOP crash reporter before in-process cras...
Status: RESOLVED FIXED
[qa-]
:
Product: Toolkit
Classification: Components
Component: Breakpad Integration (show other bugs)
: unspecified
: All All
: -- critical (vote)
: ---
Assigned To: Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
:
Mentors:
Depends on:
Blocks: 771251
  Show dependency treegraph
 
Reported: 2012-07-13 15:33 PDT by Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
Modified: 2012-08-28 01:24 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments
Check GetEnabled() before OOPInit() (867 bytes, patch)
2012-07-13 15:35 PDT, Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
no flags Details | Diff | Review
Check GetEnabled() before OOPInit(), v1.1 (1.36 KB, patch)
2012-07-13 15:39 PDT, Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
ted: review+
akeybl: approval‑mozilla‑beta+
Details | Diff | Review

Description Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-07-13 15:33:33 PDT
When launching subprocess with crashreporter disabled (but --enable-crashreporter).

Forgot CrashReporter::GetEnabled().
Comment 1 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-07-13 15:35:46 PDT
Created attachment 642102 [details] [diff] [review]
Check GetEnabled() before OOPInit()

This is hosing all local b2g devs.
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-07-13 15:39:38 PDT
Created attachment 642103 [details] [diff] [review]
Check GetEnabled() before OOPInit(), v1.1

Missed a spot.
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-07-13 17:48:21 PDT
https://hg.mozilla.org/mozilla-central/rev/08c5d1085a44
Comment 4 Benjamin Smedberg [:bsmedberg] 2012-07-13 20:29:59 PDT
Comment on attachment 642103 [details] [diff] [review]
Check GetEnabled() before OOPInit(), v1.1

Sorry about that! thanks for the quick turnaround.

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 771251
User impact if declined: B2G noworkee (assuming we take bug 771251)
Testing completed (on m-c, etc.): verified via engineers being unstuck
Basically no-risk.
Comment 5 Alex Keybl [:akeybl] 2012-07-16 15:27:46 PDT
Comment on attachment 642103 [details] [diff] [review]
Check GetEnabled() before OOPInit(), v1.1

[Triage Comment]
Approving for Beta 15 along with the other bugs blocking bug 771251.
Comment 6 Benjamin Smedberg [:bsmedberg] 2012-07-18 06:33:47 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/30c2a881b7d6

Firefox 15 wasn't really affected... ;-)
Comment 7 Ioana (away) 2012-08-13 05:32:25 PDT
Are there any reliable STR QA can verify this bug with?
Comment 8 Benjamin Smedberg [:bsmedberg] 2012-08-13 06:13:49 PDT
No. This is a B2G bug and prevented apps from starting at all.

Note You need to log in before you can comment on or make changes to this bug.